package com.ajb.car.vo.common;

import java.io.Serializable;

public class CommonResult implements Serializable {
	private static final long serialVersionUID = 1L;
	private Boolean success;
	private String message;
	private String errorCode;
	private String errorMessage;
	private String flag;
	
	public Boolean isSuccess() {
		return success;
	}
	public void setSuccess(Boolean success) {
		this.success = success;
	}
	public String getMessage() {
		return message;
	}
	public void setMessage(String message) {
		this.message = message;
	}
	public String getErrorCode() {
		return errorCode;
	}
	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}
	public String getErrorMessage() {
		return errorMessage;
	}
	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}
	public String getFlag() {
		return flag;
	}
	public void setFlag(String flag) {
		this.flag = flag;
	}
	public CommonResult() {
		super();
	}
	public CommonResult(Boolean success, String message) {
		super();
		this.success = success;
		this.message = message;
	}
	public CommonResult(Boolean success, String message,String errorCode) {
		super();
		this.success = success;
		this.message = message;
		this.errorCode = errorCode;
	}
	public CommonResult(Boolean success, String message,String errorCode,String errorMessage) {
		super();
		this.success = success;
		this.message = message;
		this.errorCode = errorCode;
		this.errorMessage = errorMessage;
	}
}
